%define majorver 8.5
%define libname %mklibname %name %majorver
%define develname %mklibname %name -d

Summary: The graphical toolkit for the Tcl scripting language
Name: tk
Version: 8.5.14
Release: %mkrel 2
Epoch: 1
License: TCL
Group: Development/Other
URL: http://tcl.sourceforge.net
Source0: http://downloads.sourceforge.net/tcl/%{name}%{version}-src.tar.gz
Requires: tcl = %{epoch}:%{version}
BuildRequires: tcl-devel = %{epoch}:%{version}
BuildRequires: libx11-devel
BuildRequires: libxft-devel
BuildRequires: libxscrnsaver-devel
Patch1: tk8.5-make.patch
Patch2: tk-8.5.14-conf.patch
# this patch isn't needed since tk8.6b1
Patch3: tk-seg_input.patch
# fix implicit linkage of freetype that breaks xft detection (#677692)
Patch4: tk-8.5.9-fix-xft.patch
Requires: %{libname} = %{epoch}:%{version}

%description
When paired with the Tcl scripting language, Tk provides a fast and powerful
way to create cross-platform GUI applications.

%package -n %libname
Summary: Shared libraries for %{name}
Group: System/Libraries

%description -n %libname
When paired with the Tcl scripting language, Tk provides a fast and powerful
way to create cross-platform GUI applications.

%package -n %develname
Summary: Tk graphical toolkit development files
Group: Development/Other
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: %{libname} = %{epoch}:%{version}-%{release}
Requires: tcl-devel = %{epoch}:%{version}
Provides: %{name}-devel = %{epoch}:%{version}-%{release}

%description -n %develname
When paired with the Tcl scripting language, Tk provides a fast and powerful
way to create cross-platform GUI applications.

The package contains the development files and man pages for tk.

%prep
%setup -n %{name}%{version} -q

%patch1 -p1 -b .make
%patch2 -p1 -b .conf
%patch3 -p1 -b .seg
%patch4 -p1 -b .fix-xft

%build
cd unix
autoconf
%configure2_5x --enable-threads
%make TK_LIBRARY=%{_datadir}/%{name}%{majorver}

%install
rm -rf %{buildroot}
make install -C unix INSTALL_ROOT=%{buildroot} TK_LIBRARY=%{_datadir}/%{name}%{majorver}

ln -s wish%{majorver} %{buildroot}%{_bindir}/wish

# for linking with -l%%{name}
ln -s lib%{name}%{majorver}.so %{buildroot}%{_libdir}/lib%{name}.so

mkdir -p %{buildroot}/%{_includedir}/%{name}-private/{generic/ttk,unix}
find generic unix -name "*.h" -exec cp -p '{}' %{buildroot}/%{_includedir}/%{name}-private/'{}' ';'
( cd %{buildroot}/%{_includedir}
 for i in *.h ; do
 [ -f %{buildroot}/%{_includedir}/%{name}-private/generic/$i ] && ln -sf ../../$i %{buildroot}/%{_includedir}/%{name}-private/generic ;
 done
)

# remove buildroot traces
sed -i -e "s|$PWD/unix|%{_libdir}|; s|$PWD|%{_includedir}/%{name}-private|" %{buildroot}/%{_libdir}/%{name}Config.sh

%files
%defattr(-,root,root,-)
%doc README changes license.terms
%{_bindir}/wish*
%{_datadir}/%{name}%{majorver}
%exclude %{_datadir}/%{name}%{majorver}/tkAppInit.c
%{_libdir}/%{name}%{majorver}
%{_mandir}/man1/*
%{_mandir}/mann/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libtk%{majorver}.so

%files -n %develname
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}stub%{majorver}.a
%{_libdir}/%{name}Config.sh
%{_mandir}/man3/*
%{_datadir}/%{name}%{majorver}/tkAppInit.c


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1:8.5.14-2.mga4
+ Revision: 530177
- Mageia 4 Mass Rebuild

* Sat Jul 20 2013 fwang <fwang> 1:8.5.14-1.mga4
+ Revision: 456481
- new version 8.5.14

* Mon Jan 14 2013 umeabot <umeabot> 1:8.5.13-2.mga3
+ Revision: 384596
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 10 2012 fwang <fwang> 1:8.5.13-1.mga3
+ Revision: 316806
- rediff make patch
- new version 8.5.13

* Sat Sep 08 2012 fwang <fwang> 1:8.5.12-3.mga3
+ Revision: 289973
- enable thread support for ruby 1.9

* Sun Aug 05 2012 fwang <fwang> 1:8.5.12-2.mga3
+ Revision: 278591
- lock requires on libversion

* Sat Jul 28 2012 fwang <fwang> 1:8.5.12-1.mga3
+ Revision: 275132
- new version 8.5.12

* Fri Nov 11 2011 fwang <fwang> 1:8.5.11-1.mga2
+ Revision: 166830
- fix groups
- new version 8.5.11

* Fri Jul 01 2011 fwang <fwang> 1:8.5.10-2.mga2
+ Revision: 117210
- update file list
- more build fix
- add virtual provide
- fix pkgname
- revert to 8.5.10, sync with fedora

* Sat Jan 08 2011 blino <blino> 8.6-0.b1.8.mga1
+ Revision: 1003
- remove old ldconfig scriptlets
- imported package tk


* Sat Jan 01 2011 Funda Wang <fwang@mandriva.org> 8.6-0.b1.7mdv2011.0
+ Revision: 626939
- tighten BR

* Thu Dec 09 2010 Jani Välimaa <wally@mandriva.org> 8.6-0.b1.6mdv2011.0
+ Revision: 617526
- fix linking with Xft

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 8.6-0.b1.5mdv2011.0
+ Revision: 608012
- rebuild

* Sun Jan 03 2010 Funda Wang <fwang@mandriva.org> 8.6-0.b1.4mdv2010.1
+ Revision: 486058
- build with thread support

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 8.6-0.b1.3mdv2010.0
+ Revision: 427383
- rebuild

* Thu Mar 05 2009 Frederic Crozat <fcrozat@mandriva.com> 8.6-0.b1.2mdv2009.1
+ Revision: 348795
- Explicitly provides /usr/bin/wish (Mdv bug #48458)

* Wed Dec 24 2008 Adam Williamson <awilliamson@mandriva.org> 8.6-0.b1.1mdv2009.1
+ Revision: 318173
- new release 8.6b1
- drop panic.patch (merged upstream)

* Fri Dec 05 2008 Adam Williamson <awilliamson@mandriva.org> 8.6-0.a3.1mdv2009.1
+ Revision: 310131
- add panic.patch from upstream CVS: fix build breaking error
- create prefix/lib on x86-64
- new locations: /usr/lib/tk8.6 and /usr/share/tk8.6
- drop libtk-devel provide, everything should use tk-devel now
- no need to conflict with tk8.4, it doesn't exist any more
- new release 8.6a3

* Wed Oct 15 2008 Frederik Himpe <fhimpe@mandriva.org> 8.5.5-1mdv2009.1
+ Revision: 294067
- update to new version 8.5.5

* Fri Aug 15 2008 Adam Williamson <awilliamson@mandriva.org> 8.5.4-1mdv2009.0
+ Revision: 272388
- new release 8.5.4

* Mon Jul 07 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 8.5.3-1mdv2009.0
+ Revision: 232455
- update to new version 8.5.3

* Tue Jun 24 2008 Adam Williamson <awilliamson@mandriva.org> 8.5.2-1mdv2009.0
+ Revision: 228749
- rediff soname.patch
- new release 8.5.2

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 8.5.1-2mdv2009.0
+ Revision: 225772
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Feb 05 2008 Frederik Himpe <fhimpe@mandriva.org> 8.5.1-1mdv2008.1
+ Revision: 162831
- New upstream bugfix release (fixes security problem CVE-2008-0553)

* Sat Jan 12 2008 Adam Williamson <awilliamson@mandriva.org> 8.5.0-1mdv2008.1
+ Revision: 149228
- correct devel obsolete
- replace rpath.patch with a configure option
- rediff soname.patch
- reorganize spec to follow Mandriva norms
- new release 8.5.0 final

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 8.5a6-8mdv2008.0
+ Revision: 81990
- rebuild for new soname of tcl

* Fri Sep 07 2007 Anssi Hannula <anssi@mandriva.org> 8.5a6-7mdv2008.0
+ Revision: 81980
- rediff and reapply soname and rpath patches (fixes #31618)

* Wed Jun 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 8.5a6-6mdv2008.0
+ Revision: 41805
- update url
- handle nicely some stubborn files

* Wed Jun 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 8.5a6-5mdv2008.0
+ Revision: 41680
- fix build on x86_64
- own missing files
- nuke rpath
- provide a symlink for tkUnixPort.h
- new devel library policy

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 8.5a6-3mdv2008.0
+ Revision: 36207
- rebuild with correct optflags

* Tue Jun 05 2007 Jérôme Soyer <saispo@mandriva.org> 8.5a6-2mdv2008.0
+ Revision: 35821
- Add Conflicts

* Thu May 31 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 8.5a6-1mdv2008.0
+ Revision: 33191
- new version

* Thu May 03 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 8.5a5-3mdv2008.0
+ Revision: 21616
- correct requires

* Sun Apr 22 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 8.5a5-2mdv2008.0
+ Revision: 17092
- Fix Require ( close bug #30376)

* Fri Apr 20 2007 Jérôme Soyer <saispo@mandriva.org> 8.5a5-1mdv2008.0
+ Revision: 16128
- New release 8.5a5


* Mon Dec 18 2006 Nicolas Lécureuil <neoclust@mandriva.org> 8.4.14-1mdv2007.0
+ Revision: 98584
- New version 8.4.14
- Import tk

* Sat Apr 22 2006 Oden Eriksson <oeriksson@mandriva.com> 8.4.13-1mdk
- 8.4.13
- drop upstream patches; P2

* Tue Feb 14 2006 Oden Eriksson <oeriksson@mandriva.com> 8.4.12-1mdk
- 8.4.12
- added P2 to fix build with bash31

* Sun Jan 01 2006 Oden Eriksson <oeriksson@mandriva.com> 8.4.11-5mdk
- fix the tkConfig.sh file

* Sat Dec 31 2005 Oden Eriksson <oeriksson@mandriva.com> 8.4.11-4mdk
- file the libtk.so file

* Sat Dec 31 2005 Oden Eriksson <oeriksson@mandriva.com> 8.4.11-3mdk
- fix soname (P1) after looking at debian
- ship missing headers
- misc lib64 and spec file fixes

* Thu Dec 29 2005 Guillaume Rousse <guillomovitch@mandriva.org> 8.4.11-2mdk
- first release as a standalone package
- devel files in a devel package

